export declare const Endpoint: {
    CONTRIBUTORS: string;
    DEPENDENCIES: string;
    DEPENDENT_REPOSITORIES: string;
    DEPENDENTS: string;
    GITHUB: string;
    PLATFORMS: string;
    PROJECT_CONTRIBUTIONS: string;
    PROJECTS: string;
    REPOSITORIES: string;
    REPOSITORY_CONTRIBUTIONS: string;
    SEARCH: string;
    SOURCERANK: string;
    SUBSCRIPTIONS: string;
    USAGE: string;
    Project: {
        contributors(platform: string, name: string): string;
        dependencies(platform: string, name: string, version: string): string;
        dependentRepositories(platform: string, name: string): string;
        dependents(platform: string, name: string): string;
        search(): string;
        sourceRank(platform: string, name: string): string;
        subscriptions(platform: string, name: string): string;
        usage(platform: string, name: string): string;
        project(platform: string, name: string): string;
    };
    GitHub: {
        Repository: {
            dependencies(owner: string, name: string): string;
            projects(owner: string, name: string): string;
            repository(owner: string, name: string): string;
        };
        User: {
            dependencies(login: string): string;
            packages(login: string): string;
            projects(login: string): string;
            contributedProjects(login: string): string;
            repositories(login: string): string;
            contributedRepositories(login: string): string;
            user(login: string): string;
        };
    };
    platforms(): string;
    subscriptions(platform?: string, name?: string): string;
};
